// -------------------------------------------------------------------
*  This is an embarrassingly simple demo program for the
*  HILITE function.
*
*  This demo was compiled as follows:
*
*     CLIPPER DEMOHILT /A /M /N /W
*
*  The link was done with BLINKER using the following script file:
*
*     BLINKER INCREMENTAL OFF
*
*     FILE DEMOHILT
*     FILE HILITE
*
*     LIB CLIPPER
*     LIB EXTEND
*     LIB LLIBCA     # C library
*
*  Sorry, HILITE is a C function and you have to link it with the
*  Microsoft C library (version 5.something) to make it work.
*
*  Let me know if you find Hilite useful.  Enjoy.
*
*  Jim Green   10/19/91
*
// -------------------------------------------------------------------

PROC MAIN
LOCAL nHITS := 0, cPHRASE := "HILITE"

CLS

TEXT
/****************************************************************************
*  Usage:
*
*  HILITE( <nT>, <nL>, <nB>, <nR>, <"STRING">, <"COLOR"> ) --> nOccurances
*
*  Hilite changes the color (attribute) of all matching words/phrases
*  within the specified coordinates and returns the number of occurances.
*  Hilite is not case sensitive.
*
*  Hilite can be usefull when you want to emphasize information on the
*  screen when you don't necessarily know it's location, such as in
*  terminal emulation programs.  I also use it to hilite the words used as
*  search criteria when browsing or otherwise displaying the resulting
*  records.
*
*  Jim Green
*  1421 Waterford Place
*  Garland, TX 75044
*  214-495-1420
*  10/19/91
*****************************************************************************/
ENDTEXT

@ MAXROW()-1, 0 SAY "Press any key to HILITE the word HILITE ..."
INKEY(0)
@ MAXROW()-1, 0 CLEAR

nHITS = HILITE( 0, 0, MAXROW(), MAXCOL(), cPHRASE, "W+/R")
SETCOLOR("W+/B")
@ MAXROW()-1,0 SAY "There are " + LTRIM(STR(nHITS)) + " occurances of " +;
   cPHRASE + " currently displayed."
SETCOLOR("W/N")

QUIT
